#include "mutex"
#include "error/error"

void Mutex::unlock(void *target) {
    if (int res = pthread_mutex_unlock(&s_lock[target]))
        throw static_cast<Error>("Failed to release mutex lock: ") +
	strerror(res);
}
