#include "sys"
#include "config/config"
#include "ThreadsAndMutexes/mutex/mutex"

void debugmsg (string const &s) {
    if (config.debug()) {
	Mutex::lock(&cerr);
	if (config.prefixtimestamp())
	    cerr << timestamp() << ' ';
	cerr << pthread_self() << " DEBUG: " << s;
	cerr.flush();
	Mutex::unlock(&cerr);
    }
}
