#include "backend"

bool Backend::available() const {
    if (config.debug()) {
	ostringstream o;
	o << (islive ? "alive" : "dead") << ", "
	  << connections() << " connections of "
	  << maxconn() << " max";
	debugmsg ("Backend " + description() + ": " + o.str() + "\n");
    }
    if (!maxconn())
	return (islive);
    return (islive && connections() < maxconn());
}
