#include "httpdispatcher"

#define ERRORSTR \
    "HTTP/1.0 502 Internal Server Error\r\n" \
    "Content-Length: 0\r\n" \
    "\r\n"

void HttpDispatcher::senderrorpage() {
    msg ("Sending error page to client.\n");
    try {
	fdwrite (clientfd(), config.client_timeout(),
		 ERRORSTR, sizeof(ERRORSTR));
    } catch (Error const &e) {
	cerr << e.what() << " (while sending error page)\n";
    }
}
